﻿/*
 * author:Joey Zhao
 * date:2010-10-16 
 * describe：扫描是否存在已经过去的数据，如果有，将其设置为过期
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TodoList.Db;
using TodoList.PublicUnit;

namespace TodoList.Bussiness
{
    public class ScanTimeOutDate
    {
        /// <summary>
        /// 扫描已过期的记录，改变其状态为“已过期”
        /// </summary>
        public void BeingScan()
        {
            DateTime now = DateTime.Now;
            string stateOver = PublicEnums.State.未完成.ToString();
            string stateTimeOut = PublicEnums.State.已过期.ToString();
            using(TodoListEntities entity = new TodoListEntities())
            {
                var result = from c in entity.T_CONTENT
                             where c.Time_Predict_Finish <= now
                             && c.State == stateOver
                             select c;
                foreach (var item in result)
                {
                    item.State = stateTimeOut;
                }
                entity.SaveChanges();
            }
        }
    }
}
