﻿/*
 * author:Joey Zhao
 * date:2010-10-18 
 * describe:今日剩余未提醒任务
 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using TodoList.Bussiness;
using TodoList.PublicUnit;
using TodoList.Db;

namespace TodoList
{
    public partial class FormNotNotifyTask : Form
    {
        private List<T_CONTENT> _list;

        public FormNotNotifyTask()
        {
            InitializeComponent();
            _list = new List<T_CONTENT>();
            this.Load += new EventHandler(FormNotNotifyTask_Load);
            this.labelClose.Click += delegate(object o, EventArgs e) { this.Close(); };
            this.FormClosing += new FormClosingEventHandler(FormNotNotifyTask_FormClosing);
            this.buttonView.Click += new EventHandler(buttonView_Click);
            this.dataGridViewContent.CellDoubleClick += new DataGridViewCellEventHandler(dataGridViewContent_CellDoubleClick);
        }

        //双击数据
        private void dataGridViewContent_CellDoubleClick(object sender, DataGridViewCellEventArgs e)
        {
            if (e.RowIndex == -1)
            {
                return;
            }
            this.buttonView_Click(null, null);
        }

        //点击“查看详细”按钮
        private void buttonView_Click(object sender, EventArgs e)
        {
            if (this.CurrentContent == null)
            {
                PublicUnit.ControlsHelper.ShowInforMessage("请先选择要查看的数据！");
                return;
            }
            FormEdit form = new FormEdit();
            form.ShowDialog(this.CurrentContent, this.CurrentContent.Catalog_Id, PublicEnums.EditType.View);
        }

        //关闭窗体时显示动画效果
        private void FormNotNotifyTask_FormClosing(object sender, FormClosingEventArgs e)
        {
            FormHelper.AnimateWindow(this.Handle, 3000, FormHelper.AW_SLIDE | FormHelper.AW_HIDE | FormHelper.AW_BLEND);
        }

        //显示动画效果，加载数据
        private void FormNotNotifyTask_Load(object sender, EventArgs e)
        {
            _list = NotifyList.GetInstance().GetNotNotifyTask();
            this.dataGridViewContent.DataSource = _list;
            FormHelper.AnimateWindow(this.Handle, 2000, FormHelper.AW_SLIDE | FormHelper.AW_VER_NEGATIVE);
        }

        //当前选择的对象
        private T_CONTENT CurrentContent
        {
            get
            {
                if (this.dataGridViewContent.SelectedRows.Count < 1)
                {
                    return null;
                }
                int contentId = Convert.ToInt32(this.dataGridViewContent.SelectedRows[0].Cells[this.ColumnId.Name].Value);
                return _list.First(c => c.Content_Id == contentId);
            }
        }
    }
}
