﻿/*
 * author:Joey Zhao
 * date:2010-10-3 
 * descirbe:staticstics form
 */
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WeifenLuo.WinFormsUI.Docking;
using System.Threading;
using System.Globalization;
using TodoList.Db;

namespace TodoList
{
    public partial class FormStatistics : DockContent
    {
        public FormStatistics()
        {
            InitializeComponent();
            this.buttonQeury.Click += new EventHandler(buttonQeury_Click);
        }

        //查询
        private void buttonQeury_Click(object sender, EventArgs e)
        {
            DateTime fromDate = this.dateTimePickerFrom.Value.Date;
            DateTime toDate = this.dateTimePickerTo.Value.Date.AddHours(23).AddMinutes(59).AddSeconds(59);
            if (fromDate > toDate)
            {
                PublicUnit.ControlsHelper.ShowInforMessage("开始时间不能大于结束时间！");
                this.dateTimePickerFrom.Focus();
                return;
            }
            using(TodoListEntities entities = new TodoListEntities())
            {
                var result = from c in entities.T_CONTENT
                             where c.Time_Create >= fromDate && c.Time_Create <= toDate
                             group c.State by c.State into g
                             select new { Count = g.Count(), Name = g.Key };

                this.chart1.DataSource = result;
                this.chart1.Series[0].YValueMembers = "Count";
                this.chart1.Series[0].XValueMember = "Name";
                this.chart1.Series[0].IsValueShownAsLabel = true;
                this.chart1.DataBind();
            }
        }
    }
}
